# Class: AbstractRadioButton

## AbstractRadioButton

Provides common implementation details for radio buttons.

## Constructor

#### new AbstractRadioButton()

Source:
  - ui/base/abstract-radio-button.js, line 10

### Extends

- AbstractControl

### Members

#### _active :boolean

Whether the user is pressing the radio button.

##### Type:

- boolean

Source:
  - ui/base/abstract-radio-button.js, line 39

#### _enabled :boolean

Whether this radio button is enabled.

##### Type:

- boolean

Source:
  - ui/base/abstract-radio-button.js, line 156

#### checked :boolean

Whether this radio button is checked.

##### Type:

- boolean

Source:
  - ui/base/abstract-radio-button.js, line 70

#### handlePress

Handle press event from press composer

Source:
  - ui/base/abstract-radio-button.js, line 276

#### radioButtonController :RadioButtonController

The radio button controller that ensures that only one radio button in its `content` is `checked` at any time.

##### Type:

- RadioButtonController

Source:
  - ui/base/abstract-radio-button.js, line 204

### Events

#### action

Dispatched when the radio button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | Event |

Source:
  - ui/base/abstract-radio-button.js, line 19

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18